<?php
/*
 * Created on Jan 22, 2008
 *
 */
 define(IFVSS_ADMIN,'administer imediasee player');
 define(IFVSS_PREMIUM,'premium');
 define(IFVSS_BASIC,'basic');
 define(IFVSS_API,'api');
 
/**
* Return the standard set of serivce settings.
*/
function ifvss_standard_settings($service_level) {

	$form = array ();
	$var_name = 'ifvss_' . $service_level . '_customer_uid';
	$form[$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name, ''),
		'#title' => t('Customer UID'),
		'#required' => TRUE,
		'#description' => t('Customer UID of your account on !link', array('!link' => l('imediase.com.','http://www.imediasee.com',array('target' => '_blank')))),
	);
	$var_name = 'ifvss_height';
	$form[$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name, '240'),
		'#title' => t('Display Height'),
		'#required' => TRUE,
		'#validate' => array('ifvss_validate_numeric' => array(0,2000) ),
		'#description' => t('Default height of player window'),
	);
	$var_name = 'ifvss_width';
	$form[$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name, '320'),
		'#title' => t('Display Width'),
		'#required' => TRUE,
		'#validate' => array('ifvss_validate_numeric' => array(0,2000) ),
		'#description' => t('Default width of player window'),
	);
	$form['ifvss_extended'] = array (
		'#title' => t('Extended Attributes'),
		'#type' => 'fieldset',
		'#collapsible' => TRUE,
		'#collapsed' => TRUE,
		'#description' => 'Set default values for exteneded options',
	);
	$var_name = 'ifvss_' . $service_level . '_autostart';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'checkbox',
		'#default_value' => variable_get($var_name,TRUE),
		'#title' => t('Autostart FLV'),
		'#description' => t('Automatically start playing the FLV file.'),
	);
	$var_name = 'ifvss_' . $service_level . '_allowfullscreen';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'checkbox',
		'#default_value' => variable_get($var_name,TRUE),
		'#title' => t('Full Screen Mode'),
		'#description' => t('Allows the player to enable full screen mode.'),
	);

	$var_name = 'ifvss_' . $service_level . '_displayheight';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name,''),
		'#title' => t('Video display height'),
		'#description' => t('Specify height of video play back window, or leave blank for full height.'),
	);

	$var_name = 'ifvss_' . $service_level . '_frontcolor';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name,''),
		'#title' => t('Front color'),
		'#description' => t('Specify front color number, or leave blank for default(#ffffff).'),
	);

	$var_name = 'ifvss_' . $service_level . '_backcolor';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name,''),
		'#title' => t('Back color'),
		'#description' => t('Specify background color number, or leave blank for default(#000000).'),
	);

	$var_name = 'ifvss_' . $service_level . '_lightcolor';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name,''),
		'#title' => t('Light color'),
		'#description' => t('Specify color number used for rollover/active state, or leave blank for default(#000000).'),
	);

	$var_name = 'ifvss_' . $service_level . '_screencolor';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'textfield',
		'#default_value' => variable_get($var_name,''),
		'#title' => t('Screen color'),
		'#description' => t('Specify color number of the display background, or leave blank for default(#000000).'),
	);

	$var_name = 'ifvss_' . $service_level . '_javascript';
	$form['ifvss_extended'][$var_name] = array (
		'#type' => 'checkbox',
		'#default_value' => variable_get($var_name,FALSE),
		'#title' => t('Javascript Callbacks'),
		'#description' => t('Enable javascript callbacks.'),
	);

	return $form;
}

/**
 * Field validate function to validate numberic values
 */
function ifvss_validate_numeric($element, $min = null, $max = null)
{
	if (! is_numeric($element['#value'])) {
		form_error($element,t('Value must be numeric'));
	}
	$number = $element['#value'] + 0;
	if ( isset($min)) {
		if ( $number < $min ) {
			form_error($element,t('Number out of bounds, must be greater than %value', array('%value' => $min)));
		}
	}
	if ( isset($max)) {
		if ( $number > $max ) {
			form_error($element,t('Number out of bounds, must be less than %value', array('%value' => $max)));
		}
	}
}
?>
